JsonGenerationException (Jackson-core 2.1.1 API)
Date: 2012-11-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.core
Class JsonGenerationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.fasterxml.jackson.core.JsonProcessingException
                      com.fasterxml.jackson.core.JsonGenerationException

All Implemented Interfaces:
  Serializable

    public class JsonGenerationException

extends JsonProcessingException

Exception type for exceptions during JSON writing, such as trying to output content in wrong context (non-matching end-array or end-object, for example).

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException
`_location`

Constructor Summary
`JsonGenerationException(String msg)`
`JsonGenerationException(String msg, Throwable rootCause)`
`JsonGenerationException(Throwable rootCause)`

Method Summary

Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException
`getLocation, getMessage, getMessageSuffix, getOriginalMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JsonGenerationException

    public JsonGenerationException(Throwable rootCause)

### JsonGenerationException

    public JsonGenerationException(String msg)

### JsonGenerationException

    public JsonGenerationException(String msg,
                                   Throwable rootCause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.